Bug 188430 - Review Request: gtk+
Summary: Review Request: gtk+
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On: 188429
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-04-09 17:39 UTC by Rex Dieter
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 16:53:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rex Dieter 2006-04-09 17:39:49 UTC
Spec Name or Url: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/gtk+-1.2.10-51.spec
SRPM Name or Url: http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.stable/gtk+-1.2.10-51.src.rpm
Description: 
The gtk+ package contains the GIMP ToolKit (GTK+), a library for
creating graphical user interfaces for the X Window System. GTK+ was
originally written for the GIMP (GNU Image Manipulation Program) image
processing program, but is now used by several other programs as
well.


Removed from devel/fc6 Core, intended for (fc6 only) Extras.

%changelog
* Sat Apr 08 2006 Rex Dieter <rexdieter[AT]users.sf.net 1:1.2.10-51
- cleanup for Extras
- drop Obsoletes: gtk (that must be *way* old)
- drop gdk-pixbuf debpendancy
- fix/re-enable gdkgtkdep patch
- no_undefined patch

Comment 1 Warren Togami 2006-04-09 19:40:48 UTC
Please add any dependencies here so it is clear which order we need to approve
and build things.


Comment 2 Ville Skyttä 2006-04-24 19:06:01 UTC
Skimming diffs only so far, random findings or comments:

- The %if "%{?fedora}" > "4" conditionals can be dropped for a FC6+ only package
- %check belongs logically after %install, especially if you insist on keeping
  the "|| :" in it too to support old distro versions
- Does the test suite work in "headless" build environments?  What about mock?
- Rationale for 444 perms for /etc/gtk/gtkrc?  I believe 644 would do just fine
- Possibly unowned %{_datadir}/themes dir (I haven't checked the dep tree)
- specfile not UTF-8

Comment 3 Rex Dieter 2006-04-24 19:22:06 UTC
(yes, gtk+ builds fine in mock, that's how I found out about the modular_x
dependancies the hard way...)

%changelog
* Mon Apr 24 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1:1.2.10-52
- install -m644 gtkrc ...
- utf-8 specfile
- comment %%fedora > 4 constructs
- own %%_datadir/themes
- move %%check after %%install

Spec Name or Url: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/gtk+-1.2.10-52.spec
SRPM Name or Url:
http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.stable/gtk+-1.2.10-52.src.rpm

Comment 4 Ville Skyttä 2006-05-03 21:12:58 UTC
Looks ok to me, just one final clarification:

The no-undefined patch is there just to help ensure that no undefined non-weak
symbols sneak out in the libs later?  The gtkgdkdep patch already results in
libgtk being linked with libgdk and takes care of them in this case, no?

FWIW, in case you didn't notice, glib has some undefined symbols as well in
libgmodule-1.2.so.0.0.10 and libgthread-1.2.so.0.0.10.

Comment 5 Rex Dieter 2006-05-04 12:39:54 UTC
Re: no-undefined patch.  You're right.  It's just to guarantee no future goofs.

Re: glib undefined symbols... hmm... I thought I had checked that, but it 
appears I only checked libglib, not the others.  Should be easy enough to fix.

Are we a go here then (APPROVED)?

Comment 6 Ville Skyttä 2006-05-04 15:42:07 UTC
Yep, approved, I just wanted to make sure I understand what the no-undefined
patch is for.

Comment 7 Rex Dieter 2006-05-04 16:53:12 UTC
Thanks, imported (build pending buildsys/devel working again).


Note You need to log in before you can comment on or make changes to this bug.